Get Reconciled Blocks
curl --request GET \
--url https://api-gateway.sonarx.com/api/v1/customer/{chain}/blocks/reconciled \
--header 'apikey: <api-key>'import requests
url = "https://api-gateway.sonarx.com/api/v1/customer/{chain}/blocks/reconciled"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://api-gateway.sonarx.com/api/v1/customer/{chain}/blocks/reconciled', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offset": 0,
"limit": 10,
"result": [
{
"block_number": 81992161,
"timestamp": 1769104294,
"datetime": "2026-01-22T17:51:34",
"version": 2
},
{
"block_number": 81991731,
"timestamp": 1769103434,
"datetime": "2026-01-22T17:37:14",
"version": 2
},
{
"block_number": 81990507,
"timestamp": 1769100986,
"datetime": "2026-01-22T16:56:26",
"version": 2
}
],
"count": 3
}Blocks
Get Reconciled Blocks
Get reconciled blocks by block number range
GET
/
api
/
v1
/
customer
/
{chain}
/
blocks
/
reconciled
Get Reconciled Blocks
Authorizations
API key for authentication. Contact SonarX to obtain your API key.
Path Parameters
The blockchain network to query
Available options:
polygon Example:
"polygon"
Query Parameters
Start block number (>= 0)
Required range:
x >= 0End block number (>= from_block)
Required range:
x >= 0Maximum number of results (1-50)
Required range:
1 <= x <= 50Number of results to skip for pagination
Required range:
x >= 0⌘I